.steps-items-container {
    display          : flex;
    justify-content  : space-between;
    border           : 1px solid transparentize(color(dark), .9);
    border-radius    : 5px;
    margin           : spacer-y(1) 0 spacer-y(2);
    background-color : lighten(color(bg), .5%);
    position         : relative;
    
    @include media-breakpoint-down(md) {
        overflow : hidden;
    }
    
    li {
        width      : 100%;
        text-align : center;
        font-size  : .85rem;
        padding    : spacer-y(.5) 0;
        cursor     : pointer;
        position   : relative;
        
        &:first-child {
            border-top-left-radius    : 4px;
            border-bottom-left-radius : 4px;
        }
        
        &.disabled {
            cursor : initial;
        }
        
        &.selected {
            background-color : darken(color(bg), 6%);
            filter           : drop-shadow(7px 4px 4px transparentize(color(dark), .7));
        }
        
        &.active {
            padding : initial;
            filter  : drop-shadow(7px 4px 4px transparentize(color(dark), .7));
            
            .step {
                font-weight : 700;
                color       : darken(color(primary), 5%);
                clip-path   : polygon(0% 0%, 90% 0%, 100% 50%, 90% 100%, 0% 100%);
            }
        }
        
        .step {
            left             : -1px;
            position         : relative;
            display          : inline-flex;
            width            : 100%;
            height           : 100%;
            background-color : darken(color(bg), 6%);
            align-items      : center;
            justify-content  : center;
        }
    }
}

.steps-qa-container {
    
    @include media-breakpoint-up(lg) {
        display   : flex;
        flex-wrap : nowrap;
    }
}

.steps-qa-wrapper {
    padding          : spacer-y(1) spacer-x(2);
    background-color : lighten(color(light), 5%);
    box-shadow       : 0 5px 16px transparentize(color(dark), .75);
    border-radius    : 10px;
    display          : flex;
    align-items      : center;
    
    h4 {
        font-weight    : 500;
        font-size      : 1rem;
        letter-spacing : 0.1px;
        color          : color(dark);
    }
    
    li {
        
        &:not(:last-child) {
            padding-bottom : spacer-y(.5);
        }
    }
}

.steps-qa-helper {
    padding    : 0 spacer-x(2);
    text-align : center;
    
    @include media-breakpoint-down(lg) {
        margin-top : spacer-y(2);
    }
    
    > div {
        width            : 100%;
        padding          : spacer-o(text);
        margin-bottom    : spacer-y(1);
        font-size        : .85rem;
        
        background-color : lighten(color(light), 5%);
        box-shadow       : 0 5px 16px transparentize(color(dark), .75);
        border-radius    : 10px;
    }
    
    span {
        font-weight : 400;
    }
}

.step-buttons-container {
    display   : flex;
    flex-wrap : nowrap;
    
    button {
        padding    : spacer-o(buttons);
        font-size  : .8rem;
        border     : none;
        margin-top : spacer-y(1);
        
        &.answer {
            background-color : color(info);
            color            : color(light);
        }
        
        &.change {
            border           : 1px solid color(info);
            background-color : color(light);
            margin-left      : spacer-x(.5);
            
            img {
                width       : 6px;
                margin-left : 5px;
            }
        }
    }
}

